curl --request POST \
--url https://public-api.sessionboard.com/v1/event/{eventId}/registrations \
--header 'Content-Type: application/json' \
--header 'x-access-token: <api-key>' \
--data '
{
"form_id": "6c1f2d9e-3b4a-4f5e-8a7b-1c2d3e4f5a6b",
"payment": "paid_externally",
"idempotency_key": "crm-order-58213",
"external_reference": "CRM order 58213",
"purchaser": {
"email": "events@northwind.example",
"first_name": "Sam",
"last_name": "Ortiz",
"company": "Northwind Health"
},
"attendees": [
{
"email": "priya.raman@example.org",
"first_name": "Priya",
"last_name": "Raman",
"company": "Northwind Health",
"job_title": "Clinical Director",
"ticket_type_id": "0b9d6a3c-2e1f-4a5b-9c8d-7e6f5a4b3c2d",
"answers": {
"dietary_requirements": "Vegetarian"
}
}
]
}
'import requests
url = "https://public-api.sessionboard.com/v1/event/{eventId}/registrations"
payload = {
"form_id": "6c1f2d9e-3b4a-4f5e-8a7b-1c2d3e4f5a6b",
"payment": "paid_externally",
"idempotency_key": "crm-order-58213",
"external_reference": "CRM order 58213",
"purchaser": {
"email": "events@northwind.example",
"first_name": "Sam",
"last_name": "Ortiz",
"company": "Northwind Health"
},
"attendees": [
{
"email": "priya.raman@example.org",
"first_name": "Priya",
"last_name": "Raman",
"company": "Northwind Health",
"job_title": "Clinical Director",
"ticket_type_id": "0b9d6a3c-2e1f-4a5b-9c8d-7e6f5a4b3c2d",
"answers": { "dietary_requirements": "Vegetarian" }
}
]
}
headers = {
"x-access-token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-access-token': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
form_id: '6c1f2d9e-3b4a-4f5e-8a7b-1c2d3e4f5a6b',
payment: 'paid_externally',
idempotency_key: 'crm-order-58213',
external_reference: 'CRM order 58213',
purchaser: {
email: 'events@northwind.example',
first_name: 'Sam',
last_name: 'Ortiz',
company: 'Northwind Health'
},
attendees: [
{
email: 'priya.raman@example.org',
first_name: 'Priya',
last_name: 'Raman',
company: 'Northwind Health',
job_title: 'Clinical Director',
ticket_type_id: '0b9d6a3c-2e1f-4a5b-9c8d-7e6f5a4b3c2d',
answers: {dietary_requirements: 'Vegetarian'}
}
]
})
};
fetch('https://public-api.sessionboard.com/v1/event/{eventId}/registrations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://public-api.sessionboard.com/v1/event/{eventId}/registrations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'form_id' => '6c1f2d9e-3b4a-4f5e-8a7b-1c2d3e4f5a6b',
'payment' => 'paid_externally',
'idempotency_key' => 'crm-order-58213',
'external_reference' => 'CRM order 58213',
'purchaser' => [
'email' => 'events@northwind.example',
'first_name' => 'Sam',
'last_name' => 'Ortiz',
'company' => 'Northwind Health'
],
'attendees' => [
[
'email' => 'priya.raman@example.org',
'first_name' => 'Priya',
'last_name' => 'Raman',
'company' => 'Northwind Health',
'job_title' => 'Clinical Director',
'ticket_type_id' => '0b9d6a3c-2e1f-4a5b-9c8d-7e6f5a4b3c2d',
'answers' => [
'dietary_requirements' => 'Vegetarian'
]
]
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-access-token: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://public-api.sessionboard.com/v1/event/{eventId}/registrations"
payload := strings.NewReader("{\n \"form_id\": \"6c1f2d9e-3b4a-4f5e-8a7b-1c2d3e4f5a6b\",\n \"payment\": \"paid_externally\",\n \"idempotency_key\": \"crm-order-58213\",\n \"external_reference\": \"CRM order 58213\",\n \"purchaser\": {\n \"email\": \"events@northwind.example\",\n \"first_name\": \"Sam\",\n \"last_name\": \"Ortiz\",\n \"company\": \"Northwind Health\"\n },\n \"attendees\": [\n {\n \"email\": \"priya.raman@example.org\",\n \"first_name\": \"Priya\",\n \"last_name\": \"Raman\",\n \"company\": \"Northwind Health\",\n \"job_title\": \"Clinical Director\",\n \"ticket_type_id\": \"0b9d6a3c-2e1f-4a5b-9c8d-7e6f5a4b3c2d\",\n \"answers\": {\n \"dietary_requirements\": \"Vegetarian\"\n }\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-access-token", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://public-api.sessionboard.com/v1/event/{eventId}/registrations")
.header("x-access-token", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"form_id\": \"6c1f2d9e-3b4a-4f5e-8a7b-1c2d3e4f5a6b\",\n \"payment\": \"paid_externally\",\n \"idempotency_key\": \"crm-order-58213\",\n \"external_reference\": \"CRM order 58213\",\n \"purchaser\": {\n \"email\": \"events@northwind.example\",\n \"first_name\": \"Sam\",\n \"last_name\": \"Ortiz\",\n \"company\": \"Northwind Health\"\n },\n \"attendees\": [\n {\n \"email\": \"priya.raman@example.org\",\n \"first_name\": \"Priya\",\n \"last_name\": \"Raman\",\n \"company\": \"Northwind Health\",\n \"job_title\": \"Clinical Director\",\n \"ticket_type_id\": \"0b9d6a3c-2e1f-4a5b-9c8d-7e6f5a4b3c2d\",\n \"answers\": {\n \"dietary_requirements\": \"Vegetarian\"\n }\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://public-api.sessionboard.com/v1/event/{eventId}/registrations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-access-token"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"form_id\": \"6c1f2d9e-3b4a-4f5e-8a7b-1c2d3e4f5a6b\",\n \"payment\": \"paid_externally\",\n \"idempotency_key\": \"crm-order-58213\",\n \"external_reference\": \"CRM order 58213\",\n \"purchaser\": {\n \"email\": \"events@northwind.example\",\n \"first_name\": \"Sam\",\n \"last_name\": \"Ortiz\",\n \"company\": \"Northwind Health\"\n },\n \"attendees\": [\n {\n \"email\": \"priya.raman@example.org\",\n \"first_name\": \"Priya\",\n \"last_name\": \"Raman\",\n \"company\": \"Northwind Health\",\n \"job_title\": \"Clinical Director\",\n \"ticket_type_id\": \"0b9d6a3c-2e1f-4a5b-9c8d-7e6f5a4b3c2d\",\n \"answers\": {\n \"dietary_requirements\": \"Vegetarian\"\n }\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"data": {
"order": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"number": "<string>",
"event_id": 123,
"status": "draft",
"purchaser": {
"type": "contact",
"id": "<string>",
"email": "<string>",
"name": "<string>",
"company": "<string>"
},
"currency": "<string>",
"subtotal_cents": 123,
"discount_cents": 123,
"tax_cents": 123,
"total_cents": 123,
"paid_cents": 123,
"balance_cents": 123,
"payment_method": "<string>",
"discount": {
"id": "<string>",
"code": "<string>"
},
"lines": [
{
"key": "<string>",
"line_item_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"ticket_type_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>",
"label": "<string>",
"tier_label": "<string>",
"quantity": 123,
"unit_price_cents": 123,
"discount_cents": 123,
"tax_cents": 123,
"total_cents": 123,
"attendee_index": 123,
"session_id": "<string>",
"gl_code": "<string>"
}
],
"registrations": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"email": "<string>",
"awaiting_assignment": true
}
],
"invoice": {},
"form_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"payment_mode": "<string>",
"created_at": "2023-11-07T05:31:56Z"
},
"registrations": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"event_id": 123,
"status": "incomplete",
"first_name": "<string>",
"last_name": "<string>",
"email": "<string>",
"company": "<string>",
"job_title": "<string>",
"ticket_type": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"registrant_type": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"form": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"kind": "<string>"
},
"order_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"contact_id": "<string>",
"badge_id": "<string>",
"answers": {},
"session_ids": [
"<string>"
],
"membership": {},
"awaiting_assignment": true,
"checked_in_at": "2023-11-07T05:31:56Z",
"badge": {
"printed": true,
"print_count": 123,
"last_printed_at": "2023-11-07T05:31:56Z"
},
"approval": {
"id": "<string>",
"status": "<string>"
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
]
}
}Create a registration
Place an order on the integrator’s behalf: one order for one or more people, each with a ticket type, through one of the event’s registration forms. Use it to bring in registrations taken somewhere else, or to add comps and invoiced registrations.
This creates. POST /registrations is not a search.
payment says how the order is paid:
payment | Order status | Order payment_method |
|---|---|---|
comp | paid, total 0 — every line is fully discounted | comp |
invoice | awaiting_invoice (or paid when the total is 0) | invoice |
paid_externally | paid — the money was taken in another system | external |
cash | paid | cash |
check | paid | check |
The order goes through the same checks as a registration on the form: each ticket
type must be sold on the form and on sale, capacity and per-order limits apply, the
form’s required questions must be answered, and an email can be registered for the
event only once. The form’s open and close dates do not apply, and invoice is
accepted even if the form does not offer pay-later. Each registration is confirmed,
or pending_approval when the event’s approval rules hold it.
Idempotency. Send an idempotency_key (a string of 1–128 characters) unique to
the order in your system. Repeating a request with a key the event has already seen returns the
original order and registrations with 200 instead of 201, and creates nothing —
even if the rest of the body differs.
Recorded in the event’s History as an API change. Requires write:registrations.
curl --request POST \
--url https://public-api.sessionboard.com/v1/event/{eventId}/registrations \
--header 'Content-Type: application/json' \
--header 'x-access-token: <api-key>' \
--data '
{
"form_id": "6c1f2d9e-3b4a-4f5e-8a7b-1c2d3e4f5a6b",
"payment": "paid_externally",
"idempotency_key": "crm-order-58213",
"external_reference": "CRM order 58213",
"purchaser": {
"email": "events@northwind.example",
"first_name": "Sam",
"last_name": "Ortiz",
"company": "Northwind Health"
},
"attendees": [
{
"email": "priya.raman@example.org",
"first_name": "Priya",
"last_name": "Raman",
"company": "Northwind Health",
"job_title": "Clinical Director",
"ticket_type_id": "0b9d6a3c-2e1f-4a5b-9c8d-7e6f5a4b3c2d",
"answers": {
"dietary_requirements": "Vegetarian"
}
}
]
}
'import requests
url = "https://public-api.sessionboard.com/v1/event/{eventId}/registrations"
payload = {
"form_id": "6c1f2d9e-3b4a-4f5e-8a7b-1c2d3e4f5a6b",
"payment": "paid_externally",
"idempotency_key": "crm-order-58213",
"external_reference": "CRM order 58213",
"purchaser": {
"email": "events@northwind.example",
"first_name": "Sam",
"last_name": "Ortiz",
"company": "Northwind Health"
},
"attendees": [
{
"email": "priya.raman@example.org",
"first_name": "Priya",
"last_name": "Raman",
"company": "Northwind Health",
"job_title": "Clinical Director",
"ticket_type_id": "0b9d6a3c-2e1f-4a5b-9c8d-7e6f5a4b3c2d",
"answers": { "dietary_requirements": "Vegetarian" }
}
]
}
headers = {
"x-access-token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-access-token': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
form_id: '6c1f2d9e-3b4a-4f5e-8a7b-1c2d3e4f5a6b',
payment: 'paid_externally',
idempotency_key: 'crm-order-58213',
external_reference: 'CRM order 58213',
purchaser: {
email: 'events@northwind.example',
first_name: 'Sam',
last_name: 'Ortiz',
company: 'Northwind Health'
},
attendees: [
{
email: 'priya.raman@example.org',
first_name: 'Priya',
last_name: 'Raman',
company: 'Northwind Health',
job_title: 'Clinical Director',
ticket_type_id: '0b9d6a3c-2e1f-4a5b-9c8d-7e6f5a4b3c2d',
answers: {dietary_requirements: 'Vegetarian'}
}
]
})
};
fetch('https://public-api.sessionboard.com/v1/event/{eventId}/registrations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://public-api.sessionboard.com/v1/event/{eventId}/registrations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'form_id' => '6c1f2d9e-3b4a-4f5e-8a7b-1c2d3e4f5a6b',
'payment' => 'paid_externally',
'idempotency_key' => 'crm-order-58213',
'external_reference' => 'CRM order 58213',
'purchaser' => [
'email' => 'events@northwind.example',
'first_name' => 'Sam',
'last_name' => 'Ortiz',
'company' => 'Northwind Health'
],
'attendees' => [
[
'email' => 'priya.raman@example.org',
'first_name' => 'Priya',
'last_name' => 'Raman',
'company' => 'Northwind Health',
'job_title' => 'Clinical Director',
'ticket_type_id' => '0b9d6a3c-2e1f-4a5b-9c8d-7e6f5a4b3c2d',
'answers' => [
'dietary_requirements' => 'Vegetarian'
]
]
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-access-token: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://public-api.sessionboard.com/v1/event/{eventId}/registrations"
payload := strings.NewReader("{\n \"form_id\": \"6c1f2d9e-3b4a-4f5e-8a7b-1c2d3e4f5a6b\",\n \"payment\": \"paid_externally\",\n \"idempotency_key\": \"crm-order-58213\",\n \"external_reference\": \"CRM order 58213\",\n \"purchaser\": {\n \"email\": \"events@northwind.example\",\n \"first_name\": \"Sam\",\n \"last_name\": \"Ortiz\",\n \"company\": \"Northwind Health\"\n },\n \"attendees\": [\n {\n \"email\": \"priya.raman@example.org\",\n \"first_name\": \"Priya\",\n \"last_name\": \"Raman\",\n \"company\": \"Northwind Health\",\n \"job_title\": \"Clinical Director\",\n \"ticket_type_id\": \"0b9d6a3c-2e1f-4a5b-9c8d-7e6f5a4b3c2d\",\n \"answers\": {\n \"dietary_requirements\": \"Vegetarian\"\n }\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-access-token", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://public-api.sessionboard.com/v1/event/{eventId}/registrations")
.header("x-access-token", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"form_id\": \"6c1f2d9e-3b4a-4f5e-8a7b-1c2d3e4f5a6b\",\n \"payment\": \"paid_externally\",\n \"idempotency_key\": \"crm-order-58213\",\n \"external_reference\": \"CRM order 58213\",\n \"purchaser\": {\n \"email\": \"events@northwind.example\",\n \"first_name\": \"Sam\",\n \"last_name\": \"Ortiz\",\n \"company\": \"Northwind Health\"\n },\n \"attendees\": [\n {\n \"email\": \"priya.raman@example.org\",\n \"first_name\": \"Priya\",\n \"last_name\": \"Raman\",\n \"company\": \"Northwind Health\",\n \"job_title\": \"Clinical Director\",\n \"ticket_type_id\": \"0b9d6a3c-2e1f-4a5b-9c8d-7e6f5a4b3c2d\",\n \"answers\": {\n \"dietary_requirements\": \"Vegetarian\"\n }\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://public-api.sessionboard.com/v1/event/{eventId}/registrations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-access-token"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"form_id\": \"6c1f2d9e-3b4a-4f5e-8a7b-1c2d3e4f5a6b\",\n \"payment\": \"paid_externally\",\n \"idempotency_key\": \"crm-order-58213\",\n \"external_reference\": \"CRM order 58213\",\n \"purchaser\": {\n \"email\": \"events@northwind.example\",\n \"first_name\": \"Sam\",\n \"last_name\": \"Ortiz\",\n \"company\": \"Northwind Health\"\n },\n \"attendees\": [\n {\n \"email\": \"priya.raman@example.org\",\n \"first_name\": \"Priya\",\n \"last_name\": \"Raman\",\n \"company\": \"Northwind Health\",\n \"job_title\": \"Clinical Director\",\n \"ticket_type_id\": \"0b9d6a3c-2e1f-4a5b-9c8d-7e6f5a4b3c2d\",\n \"answers\": {\n \"dietary_requirements\": \"Vegetarian\"\n }\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"data": {
"order": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"number": "<string>",
"event_id": 123,
"status": "draft",
"purchaser": {
"type": "contact",
"id": "<string>",
"email": "<string>",
"name": "<string>",
"company": "<string>"
},
"currency": "<string>",
"subtotal_cents": 123,
"discount_cents": 123,
"tax_cents": 123,
"total_cents": 123,
"paid_cents": 123,
"balance_cents": 123,
"payment_method": "<string>",
"discount": {
"id": "<string>",
"code": "<string>"
},
"lines": [
{
"key": "<string>",
"line_item_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"ticket_type_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>",
"label": "<string>",
"tier_label": "<string>",
"quantity": 123,
"unit_price_cents": 123,
"discount_cents": 123,
"tax_cents": 123,
"total_cents": 123,
"attendee_index": 123,
"session_id": "<string>",
"gl_code": "<string>"
}
],
"registrations": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"email": "<string>",
"awaiting_assignment": true
}
],
"invoice": {},
"form_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"payment_mode": "<string>",
"created_at": "2023-11-07T05:31:56Z"
},
"registrations": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"event_id": 123,
"status": "incomplete",
"first_name": "<string>",
"last_name": "<string>",
"email": "<string>",
"company": "<string>",
"job_title": "<string>",
"ticket_type": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"registrant_type": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"form": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"kind": "<string>"
},
"order_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"contact_id": "<string>",
"badge_id": "<string>",
"answers": {},
"session_ids": [
"<string>"
],
"membership": {},
"awaiting_assignment": true,
"checked_in_at": "2023-11-07T05:31:56Z",
"badge": {
"printed": true,
"print_count": 123,
"last_printed_at": "2023-11-07T05:31:56Z"
},
"approval": {
"id": "<string>",
"status": "<string>"
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
]
}
}Authorizations
Organization API token. Generate from Organization Settings → API Tokens.
Path Parameters
Event ID
Body
The registration form to place the order through. Its ticket types, registrant types and questions apply.
How the order is paid. See the table above.
comp, invoice, paid_externally, cash, check One entry per person, at most 100 per order.
1 - 100 elementsShow child attributes
Show child attributes
Your unique key for this order. A repeat with the same key returns the original order with 200.
1 - 128Your reference for the order (for example your order number). Stored as the order's note.
200A promo code configured on the event.
Who placed the order. Defaults to the first attendee.
Show child attributes
Show child attributes
Response
Idempotent replay — an order with this idempotency_key already exists on the
event. The original order and its registrations are returned; nothing is created.
Show child attributes
Show child attributes

